petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBarrier

Blocks until this routine is executed by all processors owning the object A.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscBarrier(PetscObject obj)

### Input Parameters

A -PETSc object (Mat, Vec, IS, SNES etc...) Many brMust be caste with a (PetscObject), can use NULL (for MPI_COMM_WORLD) Many br

Many br

### Notes

This routine calls MPI_Barrier with the communicator of the PETSc Object "A". Many br

With fortran Use NULL_OBJECT (instead of NULL) Many br

Level:intermediate
Location:src/sys/utils/pbarrier.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html